Skip to main content
GET
/
v1
/
apps
/
{appId}
cURL
curl --request GET \
  --url https://api.camposcloud.com/v1/apps/{appId} \
  --header 'Authorization: Bearer <token>'
{
  "_id": "60c72b2f9b1e8d001c8e4f3a",
  "containerId": "da886ad3-88e9-4012-b893-130e87f6b747",
  "teamId": {
    "_id": "60c72b2f9b1e8d001c8e4f3b",
    "name": "My Team",
    "owner": "60c72b2f9b1e8d001c8e4f3a",
    "members": [
      {
        "user": "60c72b2f9b1e8d001c8e4f3a",
        "permissions": {
          "canCreateApplication": true,
          "canDeleteApplication": false,
          "canUpdateApplicationSettings": true,
          "canChangeStatusApplication": false,
          "canManageApplicationBackup": true,
          "canEditApplicationFiles": true,
          "canSeeApplicationFiles": true,
          "canDeleteApplicationFiles": false,
          "canCreateDatabase": true,
          "canDeleteDatabase": false,
          "canUpdateDatabaseSettings": true,
          "canChangeStatusDatabase": false
        },
        "_id": "60c72b2f9b1e8d001c8e4f3a"
      }
    ],
    "invites": [
      {
        "email": "[email protected]",
        "userId": "60c72b2f9b1e8d001c8e4f3a",
        "invitedAt": "2025-07-19T17:57:05.069Z",
        "code": "8qq6no5kw39",
        "permissions": {
          "canCreateApplication": true,
          "canDeleteApplication": false,
          "canUpdateApplicationSettings": true,
          "canChangeStatusApplication": false,
          "canManageApplicationBackup": true,
          "canEditApplicationFiles": true,
          "canSeeApplicationFiles": true,
          "canDeleteApplicationFiles": false,
          "canCreateDatabase": true,
          "canDeleteDatabase": false,
          "canUpdateDatabaseSettings": true,
          "canChangeStatusDatabase": false
        },
        "_id": "60c72b2f9b1e8d001c8e4f3a",
        "subscriptionEndsAt": "2025-07-19T17:57:05.069Z"
      }
    ],
    "createdAt": "2025-07-19T17:57:05.069Z",
    "updatedAt": "2025-07-19T17:57:05.069Z"
  },
  "restartRequired": false,
  "userId": "60c72b2f9b1e8d001c8e4f3a",
  "name": "My Application",
  "allocatedMemoryMB": 256,
  "allocatedVCpu": 8,
  "workerNodeId": {
    "_id": "60c72b2f9b1e8d001c8e4f3c",
    "nodeName": "ODIN"
  },
  "containerImage": "kevencampos/camposcloud-python",
  "exposedViaWeb": false,
  "startupCommand": "python -u index.py",
  "installDependenciesCmd": "pip install -r requirements.txt",
  "runtimeEnvironment": "python",
  "autoRestartEnabled": false,
  "status": "active",
  "currentResourceMetrics": {
    "timestamp": "2025-07-19T17:57:05.069Z",
    "online": true,
    "uptime": 35980,
    "startedAt": "2025-07-19T17:57:05.069Z",
    "cpuUsagePercent": 0,
    "memoryUsageBytes": 43671552,
    "memoryLimitBytes": 268435456,
    "networkRxBytes": 228961,
    "networkTxBytes": 228190
  },
  "environmentVariables": [
    {
      "key": "API_PORT",
      "value": "3005",
      "_id": "60c72b2f9b1e8d001c8e4f3d"
    }
  ],
  "createdAt": "2025-07-19T00:02:54.455Z",
  "updatedAt": "2025-07-19T17:57:05.069Z",
  "githubDeploys": [
    {
      "commitId": "c505366f3ba913044f65750ab7de60ccbb3d7b5f",
      "branch": "main",
      "status": "success",
      "message": "first commit",
      "createdAt": "2025-07-19T17:57:05.069Z",
      "commitedAt": "2025-07-19T17:57:05.069Z",
      "commitedBy": "Keven Campos",
      "_id": "60c72b2f9b1e8d001c8e4f3d",
      "duration": 120
    }
  ],
  "externalPort": 123,
  "assignedCustomDomain": "myapp.domain.com",
  "repository": {
    "name": "my-awesome-repo",
    "owner": "KevenCampos",
    "id": "12345678923",
    "branch": "main"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

appId
string
required

ID of the application to retrieve

Response

Application response

_id
string

The unique identifier of the application

Example:

"60c72b2f9b1e8d001c8e4f3a"

containerId
string

The unique identifier of the container

Example:

"da886ad3-88e9-4012-b893-130e87f6b747"

teamId
object
restartRequired
boolean

Indicates if a restart is required for the application

Example:

false

userId
string

The unique identifier of the user who owns the application

Example:

"60c72b2f9b1e8d001c8e4f3a"

name
string

The name of the application

Example:

"My Application"

allocatedMemoryMB
integer<int32>

The amount of memory allocated to the application in MB

Example:

256

allocatedVCpu
integer<int32>

The number of virtual CPUs allocated to the application

Example:

8

workerNodeId
object
containerImage
string

The Docker image used for the application

Example:

"kevencampos/camposcloud-python"

exposedViaWeb
boolean

Indicates if the application is exposed via the web

Example:

false

startupCommand
string

The command used to start the application

Example:

"python -u index.py"

installDependenciesCmd
string

The command used to install dependencies for the application

Example:

"pip install -r requirements.txt"

runtimeEnvironment
string

The runtime environment of the application

Example:

"python"

autoRestartEnabled
boolean

Indicates if auto-restart is enabled for the application

Example:

false

status
string

The current status of the application

Example:

"active"

currentResourceMetrics
object

Current resource metrics of the application

environmentVariables
object[]

List of environment variables set for the application

createdAt
string<date-time>

The date and time when the application was created

Example:

"2025-07-19T00:02:54.455Z"

updatedAt
string<date-time>

The date and time when the application was last updated

Example:

"2025-07-19T17:57:05.069Z"

githubDeploys
object[]

List of GitHub repositories connected to the application for deployment

externalPort
integer | null

The external port exposed by the application, null if the application is not exposed via the web

assignedCustomDomain
string | null

The custom domain assigned to the application, null if no custom domain is assigned

Example:

"myapp.domain.com"

repository
object

The GitHub repository connected to the application for deployment, null if no repository is connected